#pragma once

#include "CoreMinimal.h"
#include "ERewardType.h"
#include "CrossPromoRewardViewData.generated.h"

USTRUCT(BlueprintType)
struct FCrossPromoRewardViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ERewardType Type;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString Id;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Amount;

public:
	DBDUIVIEWINTERFACES_API FCrossPromoRewardViewData();
};

FORCEINLINE uint32 GetTypeHash(const FCrossPromoRewardViewData) { return 0; }
